From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Thu, 16 Mar 2017 11:17:23 +0100
Subject: Use local objects.inv where possible.

---
 docs/conf.py | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/docs/conf.py b/docs/conf.py
index b5a6fa5..35c8951 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -264,4 +264,20 @@ texinfo_documents = [
 
 
 # Example configuration for intersphinx: refer to the Python standard library.
-intersphinx_mapping = {"http://docs.python.org/": None}
+def check_object_path(key, url, path):
+    if os.path.isfile(path):
+        return {key: (url, path)}
+    return {}
+
+intersphinx_mapping = {}
+intersphinx_mapping.update(
+    check_object_path(
+        'python',
+        'http://docs.python.org/{v}/'.format(
+            v='.'.join(map(str, sys.version_info[:2]))
+        ),
+        '/usr/share/doc/python{v}/html/objects.inv'.format(
+            v='.'.join(map(str, sys.version_info[:2]))
+        )
+    )
+)
